# Image Manipulation

## imgix

![](/files/-LEjfxIBawUfzF3Ruqq8)

Image assets uploaded to Comfortable are available via [imgix](https://www.imgix.com/), a powerful service offering real-time image processing like resizing, cropping, compression or optimization per device. All of the images are served by a fast CDN.

To learn what you can do with imgix, have a look at the [imgix API Reference](https://docs.imgix.com/apis/url).

## API Image URL

Comfortable automatically detects image assets and makes them available on the at the following URL by default, when you query a document:

{% code title="Image API Base URL" %}

```http
https://images.cmft.io/
```

{% endcode %}

Images can also be retrieved like regular assets at `https://assets.cmft.io/`, but without the power of the image manipulation API.

## Basic Examples

```javascript
// Image URL without manipulation
https://images.cmft.io/<repo>/awesome-image.jpg

// Resizing to 600px
https://images.cmft.io/<repo>/awesome-image.jpg?w=600

// Resizing to 300x100 with fit=crop
https://images.cmft.io/<repo>/awesome-image.jpg?fit=crop&w=300&h=100
```

To see more examples, visit the[ imgix API Reference](https://docs.imgix.com/apis/url).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.comfortable.io/apis/image-manipulation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
